%global srcname nose-ignore-docstring

Name:           python-%{srcname}
Version:        0.2
Release:        3%{?dist}
Summary:        Ignore docstring to name tests in nose

License:        MIT
URL:            https://github.com/schlamar/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/n/%{srcname}/%{srcname}-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/schlamar/nose-ignore-docstring/master/LICENSE
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(nose)
BuildRequires:  python3dist(setuptools)

%description
This package contains a plugin for nose.  If this plugin is active, nose
does not use docstrings to name tests.

%package -n     python3-%{srcname}
Summary:        Ignore docstring to name tests in nose
Requires:       python3dist(nose)

%{?python_provide:%python_provide python3-%{srcname}}

# This can be removed when F29 reaches EOL
Obsoletes:      python2-%{srcname} < 0.2-2
Provides:       python2-%{srcname} = %{version}-%{release}

%description -n python3-%{srcname}
This package contains a plugin for nose.  If this plugin is active, nose
does not use docstrings to name tests.

%prep
%autosetup -n %{srcname}-%{version}
cp -p %{SOURCE1} .

%build
%py3_build

%install
mkdir -p %{buildroot}%{python3_sitelib}/nose/plugins
%py3_install

%files -n python3-%{srcname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/nose_ignoredoc.py
%{python3_sitelib}/nose_ignore_docstring*.egg-info/
%{python3_sitelib}/__pycache__/nose_ignoredoc.*

%changelog
* Sun Nov 25 2018 Jerry James <loganjerry@gmail.com> - 0.2-3
- Fix installation so that proper requires are generated

* Sat Nov 24 2018 Jerry James <loganjerry@gmail.com> - 0.2-2
- Drop the python2 subpackage

* Wed Aug 29 2018 Jerry James <loganjerry@gmail.com> - 0.2-1
- Initial RPM
